package genList;
import listFW.*;

/**
 * Represents a node in the generalized list that holds
 * another generalized list.
 */
public interface IListNode extends INode {
  /**
   * Get the list held at this node.
   * THIS IS NOT THE SAME AS THE REST OF THE LIST!
   * @return The list held at this node
   */
  public IList getList();
}